Bug 854377 - Review Request: mesa-libGLU - Mesa libGLU utility library
Review Request: mesa-libGLU - Mesa libGLU utility library
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Yanko Kaneti
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-04 16:16 EDT by Adam Jackson
Modified: 2012-09-15 09:10 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-06 14:16:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
yaneti: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adam Jackson 2012-09-04 16:16:11 EDT
Spec URL: http://ajax.fedorapeople.org/mesa-libGLU/mesa-libGLU.spec
SRPM URL: http://ajax.fedorapeople.org/mesa-libGLU/mesa-libGLU-9.0-0.1.f16.src.rpm

Description:

Mesa upstream has split the libGLU utility library - which doesn't see much by way of updates - into its own repository.  This library has not yet had an official release, but one is expected before Mesa 9.0 (and the GLU code has already been removed from the main Mesa repo, which means this is blocking newer Mesa snapshots).

Fedora Account System Username: ajax
Comment 1 Adam Jackson 2012-09-05 13:32:26 EDT
Updated spec and srpm at the same urls as above:

- BuildRequires: mesa-libGL-devel
- -devel Requires: gl-manpages instead of bundling, recently added in bug #854660
Comment 2 Yanko Kaneti 2012-09-05 14:50:28 EDT
- This is repackaging of something already shipped so I am not going to get too much into it, but I think it would be good to sort out the licence header of glu_mangle.h which currently says LGPLv2+. or the License tag...
- packagaing guildelines say %global instead of %define
- you can lose the rm -rf $RPM_BUILD_ROOT%{_datadir}/man/man3/gl[A-Z]*
and rm -rf $RPM_BUILD_ROOT  (as per latest rpm developemts)

Otherwise:
- it buils in mock
- mesa-libGLU.x86_64: W: shared-lib-calls-exit /usr/lib64/libGLU.so.1.3.1 exit@GLIBC_2.2.5   is apparently expected
- ts part of a bigger mesa update so the fact that it cant be currently installed due to gl-manpages conflicting with other things is expected

APPROVED
Comment 3 Adam Jackson 2012-09-06 13:58:45 EDT
New Package SCM Request
=======================
Package Name: mesa-libGLU
Short Description: Mesa libGLU utility library
Owners: ajax
Branches: f18
InitialCC:
Comment 4 Gwyn Ciesla 2012-09-06 14:04:39 EDT
Git done (by process-git-requests).
Comment 5 Adam Jackson 2012-09-06 14:16:41 EDT
Imported and building, thanks.
Comment 6 Paul Howarth 2012-09-09 08:22:14 EDT
Shouldn't this mesa-libGLU package have provides for libGLU and libGLU-devel (in the devel package of course)?
Comment 7 Nicolas Chauvet (kwizart) 2012-09-15 09:10:50 EDT
(In reply to comment #6)
> Shouldn't this mesa-libGLU package have provides for libGLU and libGLU-devel
> (in the devel package of course)?
Same question twice.
This broke lot of dependencies without it.

Of course all of them could use BR: pkgconfig(glu) but then this will requires to modify all packages instead of only this one. (this would cost more).

That modification would be a task for a proven packager. I will dislike to bug every sigle maintainer for such trivial administrative change.
(but then this would need to be properly coodinated in the devel mailing list).

Note You need to log in before you can comment on or make changes to this bug.